Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.emfstore.internal.ui.decorator
Class EMFStoreDirtyDecorator

    java.lang.Object
      org.eclipse.emf.ecp.emfstore.internal.ui.decorator.EMFStoreDirtyDecorator

All Implemented Interfaces:
  ECPObserver, ECPProjectPreDeleteObserver, org.eclipse.emf.emfstore.client.observer.ESCommitObserver, org.eclipse.emf.emfstore.common.ESObserver, org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILightweightLabelDecorator

    public class EMFStoreDirtyDecorator

extends Object
implements org.eclipse.jface.viewers.ILightweightLabelDecorator, org.eclipse.emf.emfstore.client.observer.ESCommitObserver, ECPProjectPreDeleteObserver

Author:
  Eugen Neufeld

Field Summary
`static String` | `dirtyPath`

Constructor Summary
`EMFStoreDirtyDecorator()` Instantiates a new EMFStoreDirtyDecorator.

Method Summary
`void` | `addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`
`void` | `commitCompleted(org.eclipse.emf.emfstore.client.ESLocalProject localProject, org.eclipse.emf.emfstore.server.model.versionspec.ESPrimaryVersionSpec newRevision, org.eclipse.core.runtime.IProgressMonitor monitor)`
`void` | `decorate(Object element, org.eclipse.jface.viewers.IDecoration decoration)`
`void` | `dispose()`
`boolean` | `inspectChanges(org.eclipse.emf.emfstore.client.ESLocalProject localProject, org.eclipse.emf.emfstore.server.model.ESChangePackage changePackage, org.eclipse.core.runtime.IProgressMonitor monitor)`
`boolean` | `isLabelProperty(Object element, String property)`
`void` | `projectDelete(ECPProject project)` Method that gets notified before a project is deleted.
`void` | `removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dirtyPath

    public static final String dirtyPath

See Also:
  Constant Field Values

Constructor Detail

### EMFStoreDirtyDecorator

    public EMFStoreDirtyDecorator()

  Instantiates a new EMFStoreDirtyDecorator.

Method Detail

### decorate

    public void decorate(Object element,
                         org.eclipse.jface.viewers.IDecoration decoration)

  Specified by:
    `decorate` in interface `org.eclipse.jface.viewers.ILightweightLabelDecorator`

### addListener

    public void addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

  Specified by:
    `addListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### isLabelProperty

    public boolean isLabelProperty(Object element,
                                   String property)

  Specified by:
    `isLabelProperty` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### removeListener

    public void removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

  Specified by:
    `removeListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### inspectChanges

    public boolean inspectChanges(org.eclipse.emf.emfstore.client.ESLocalProject localProject,
                                  org.eclipse.emf.emfstore.server.model.ESChangePackage changePackage,
                                  org.eclipse.core.runtime.IProgressMonitor monitor)

  Specified by:
    `inspectChanges` in interface `org.eclipse.emf.emfstore.client.observer.ESCommitObserver`

### commitCompleted

    public void commitCompleted(org.eclipse.emf.emfstore.client.ESLocalProject localProject,
                                org.eclipse.emf.emfstore.server.model.versionspec.ESPrimaryVersionSpec newRevision,
                                org.eclipse.core.runtime.IProgressMonitor monitor)

  Specified by:
    `commitCompleted` in interface `org.eclipse.emf.emfstore.client.observer.ESCommitObserver`

### projectDelete

    public void projectDelete(ECPProject project)

  Method that gets notified before a project is deleted.

  Specified by:
    `projectDelete` in interface `ECPProjectPreDeleteObserver`
  Parameters:
    `project` - the `ECPProject` to delete

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.